Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 990759 - watchdog/n kernel thread high CPU usage
Summary: watchdog/n kernel thread high CPU usage
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 23:19 UTC by Jaroslaw Gorny
Modified: 2013-10-08 16:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-08 16:34:49 UTC


Attachments (Terms of Use)
dmesg output (deleted)
2013-07-31 23:19 UTC, Jaroslaw Gorny
no flags Details
lspci -vvv output (deleted)
2013-07-31 23:21 UTC, Jaroslaw Gorny
no flags Details

Description Jaroslaw Gorny 2013-07-31 23:19:16 UTC
Created attachment 781392 [details]
dmesg output

Description of problem:

Couple of days ago I've noticed my system started lagging and being choppy. After quick fix, I discovered watchdog/1 kernel thread using 30-70% CPU, sometimes even up to 130% (it's a C2D CPU - Intel L7500).

Version-Release number of selected component (if applicable):

This shows up on all 3 kernels I have (3 last versions at the moment):

kernel-3.9.9-301.fc19.x86_64
kernel-3.9.9-302.fc19.x86_64
kernel-3.10.3-300.fc19.x86_64


How reproducible:

always


Steps to Reproduce:
1. Boot OS
2. Check via any system monitor ('top', 'htop'), sort by CPU usage


Actual results:
watchdog/{0..n} process consuming lot of CPU resources.

Expected results:
watchdog/{0..n} should normally appear at the bottom of the least, occupying ~0% CPU

Additional info:
I've already asked 2 collegues who have Fedora 19 atm. They are not able to reproduce it. I'm almost sure there was "something" that triggered this bug. Update of some other package? Hardware problem? No idea.
I'd gladly try to find the cause of this issue on my hardware. Unfortunately I wasn't able to find any useful reference on web.

Comment 1 Jaroslaw Gorny 2013-07-31 23:21:39 UTC
Created attachment 781393 [details]
lspci -vvv output

Comment 2 Jaroslaw Gorny 2013-07-31 23:23:57 UTC
2nd sentence of initial description should be "After quick *check*, I discovered (...)".

Comment 3 Josh Boyer 2013-09-18 20:38:41 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Josh Boyer 2013-10-08 16:34:49 UTC
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.